[![node](https://img.shields.io/badge/node-4.6.2-brightgreen.svg)]()
[![npm](https://img.shields.io/badge/npm-2.15.11-blue.svg)]()
[![cordova](https://img.shields.io/badge/cordova-6.5.0-red.svg)]()

### TFM Client

### UOC - Máster Desarrollo Aplicaciones para Dispositivos Móviles


##### INSTALLATION (Please check NodeJS/npm versions)

```
> npm install
```

##### BUILD PROJECT
```
> gulp build [--production]
```

##### RELEASE PROJECT
```
> gulp build --production
> ionic build android --prod --release
```
* In order to sign the .apk file, you need to follow these [steps](http://ionicframework.com/docs/v1/guide/publishing.html)

##### RUN ON DEVICE

Project in folder www will be loaded into the device, so be sure to run on device after building the project at least once.

###### ANDROID
```
> ionic platform add android@6.2.2
> ionic run android
```

###### IOS
```
> ionic platform add ios
> ionic run ios
```

##### RUN DEV MODE
```
> gulp serve
```


### DOCS
* Setting up android environment: [Guide](https://guides.codepath.com/android/Installing-Android-SDK-Tools)
* Problems setting up cordova/ionic environment: [SAVED ME](http://stackoverflow.com/questions/42613882/error-could-not-find-gradle-wrapper-within-android-sdk-might-need-to-update-yo)


* My ~/.zshrc right now

```
export ANDROID_HOME=/Users/$(USER)/Library/Android/sdk
export PATH=$PATH:$ANDROID_HOME/tools:$ANDROID_HOME/platform-tools
export JAVA_HOME=$(/usr/libexec/java_home 1.8)
```

### NOTES

* In order to be able to export as .csv file to must have an Apps installed that is able to open it. Otherwise it won't work.