// Example of mainButtons
// this.mainButtons = [
//   { icon: 'ion-plus-round', action: function() { console.log('click 1') } },
//   { icon: 'ion-qr-scanner', action: function() { alert('click 2') } }
// ]
var FooterController = function() {}

FooterController.prototype._setShowToolbar = function(value) {
  this.scope.showToolbar = value
}

FooterController.prototype.toggleToolbar = function() {
  this._setShowToolbar(!this.scope.showToolbar)
}

FooterController.prototype.init = function(scope, state) {
  this.scope = scope
  this.state = state
  this.backState = scope.backState

  scope.callMainAction = this.callMainAction.bind(this)
  scope.callSubAction = this.callSubAction.bind(this)
  scope.backAction = this.backAction.bind(this)
  scope.toggleToolbar = this.toggleToolbar.bind(this)
}

FooterController.prototype.callMainAction = function(idx) {
  this.scope.mainButtons[idx].action()
}

FooterController.prototype.callSubAction = function(idx) {
  this.toggleToolbar()
  this.scope.subButtons[idx].action()
}

FooterController.prototype.backAction = function() {
  this.state.go(this.backState || 'homeSection')
}

module.exports = FooterController
