var ng = require('angular-bsfy')

var template = require('./template')
var controller = require('./controller')

var footerDirective = function($state) {
  return {
    restrict: 'C',
    template: template,
    scope: {
      backState: '@?',
      mainButtons: '=?',
      subButtons: '=?'
    },
    replace: true,
    controller: controller,
    compile: function() {
      return {
        post: function($scope, $element) {
          var ctrl = $element.controller('footerDirective')
          ctrl.init($scope, $state)
        }
      }
    }
  }
}

var mod = ng.module('appFooter', [])
mod.directive('footerDirective', ['$state', footerDirective])

module.exports = mod
