var AbstractInput = function(type, name) {
  this.type = type
  this.placeholder = ''
  this.required = false
  this.value = ''
  this.name = name
  this.error = false
}

AbstractInput.prototype.getValue = function() {
  return this.value
}

AbstractInput.prototype.setRequired = function() {
  this.required = true
  return this
}

AbstractInput.prototype.setValue = function(value) {
  this.value = value
  return this
}

AbstractInput.prototype.setPlaceholder = function(placeholder) {
  this.placeholder = placeholder
  return this
}

module.exports = AbstractInput
