var ng = require('angular-bsfy')

var template = require('./template')
var controller = require('./controller')

var itemEditorDirective = function() {
  return {
    restrict: 'C',
    template: template,
    scope: {
      lineId: '@',
      lineTableName: '@',
      fields: '=?'
    },
    replace: true,
    controller: controller,
    compile: function() {
      return {
        post: function($scope, $element) {
          var ctrl = $element.controller('itemEditorDirective')
          ctrl.init($scope)
        }
      }
    }
  }
}

var mod = ng.module('itemEditor', [])
mod.directive('itemEditorDirective', itemEditorDirective)

module.exports = mod
