var routes = {}

routes.catalogSection = {
  abstract: true,
  url: '/catalog',
  template: '<catalog-section ui-view></catalog-section>'
}

routes.catalogList = {
  url: '/list',
  parent: routes.catalogSection,
  template: '<catalog-list ui-view></catalog-list>'
}

routes.catalogItem = {
  url: '/item/:itemId',
  parent: routes.catalogSection,
  template: '<catalog-item ui-view></catalog-item>'
}

module.exports = routes
