var ng = require('angular-bsfy')

var routes = require('./config/routes')

var mod = ng.module('catalog', [
  require('../../directives/grid').name,
  require('../../directives/footer').name,
  require('../../directives/header').name
])

mod
  .config(function($stateProvider) {
    Object.keys(routes).forEach(function(route) {
      $stateProvider.state(route, routes[route])
    })
  })
  .directive('catalogSection', require('./section'))
  .directive('catalogItem', require('./item'))
  .directive('catalogList', require('./list'))

module.exports = mod