var ng = require('angular-bsfy')

var routes = require('./config/routes')

var mod = ng.module('deliveryNote', [
  require('../../directives/item-editor').name
])

mod
  .config(function($stateProvider) {
    Object.keys(routes).forEach(function(route) {
      $stateProvider.state(route, routes[route])
    })
  })
  .directive('deliveryNoteSection', require('./section'))
  .directive('deliveryNoteNew', require('./new'))
  .directive('deliveryNoteList', require('./list'))
  .directive('deliveryNoteLine', require('./line'))
  .directive('deliveryNoteLineInserter', require('./line-inserter'))
  .directive('deliveryNoteLineEditor', require('./line-editor'))

module.exports = mod