var Session = require('../../../session')

var FooterController = function() {}

FooterController.prototype.init = function(scope, state) {
  this.state = state
  scope.username = Session.get('username')
  scope.logout = this.logout.bind(this)
}

FooterController.prototype.logout = function() {
  Session.clear()
  this.state.go('login')
}

module.exports = FooterController
