var routes = {}

routes.inventorySection = {
  abstract: true,
  url: '/inventory',
  template: '<inventory-section ui-view></inventory-section>'
}

routes.inventoryNew = {
  url: '/new',
  parent: routes.inventorySection,
  template: '<inventory-new ui-view></inventory-new>'
}

routes.inventoryList = {
  url: '/list',
  parent: routes.inventorySection,
  template: '<inventory-list ui-view></inventory-list>'
}

routes.inventoryLine = {
  url: '/line/:id',
  parent: routes.inventorySection,
  template: '<inventory-line ui-view></inventory-line>'
}

routes.inventoryLineInserter = {
  url: '/inserter',
  parent: routes.inventoryLine,
  template: '<inventory-line-inserter ui-view></inventory-line-inserter>'
}

routes.inventoryLineEditor = {
  url: '/editor/:inventoryLineId',
  parent: routes.inventoryLine,
  template: '<inventory-line-editor ui-view></inventory-line-editor>'
}

module.exports = routes
