var ng = require('angular-bsfy')

var routes = require('./config/routes')

var mod = ng.module('order', [
  require('../../directives/item-editor').name
])

mod
  .config(function($stateProvider) {
    Object.keys(routes).forEach(function(route) {
      $stateProvider.state(route, routes[route])
    })
  })
  .directive('orderSection', require('./section'))
  .directive('orderNew', require('./new'))
  .directive('orderList', require('./list'))
  .directive('orderLine', require('./line'))
  .directive('orderLineInserter', require('./line-inserter'))
  .directive('orderLineEditor', require('./line-editor'))

module.exports = mod