var routes = {}

routes.warehouseSection = {
  abstract: true,
  url: '/warehouse',
  template: '<warehouse-section ui-view></warehouse-section>'
}

routes.warehouseList = {
  url: '/list',
  parent: routes.warehouseSection,
  template: '<warehouse-list ui-view></warehouse-list>'
}

routes.warehouseDetail = {
  url: '/detail/:id',
  parent: routes.warehouseSection,
  template: '<warehouse-detail ui-view></warehouse-detail>'
}

module.exports = routes
