var ng = require('angular-bsfy')

var routes = require('./config/routes')

var mod = ng.module('wastage', [
  require('../../directives/item-editor').name
])

mod
  .config(function($stateProvider) {
    Object.keys(routes).forEach(function(route) {
      $stateProvider.state(route, routes[route])
    })
  })
  .directive('wastageSection', require('./section'))
  .directive('wastageNew', require('./new'))
  .directive('wastageList', require('./list'))
  .directive('wastageLine', require('./line'))
  .directive('wastageLineInserter', require('./line-inserter'))
  .directive('wastageLineEditor', require('./line-editor'))

module.exports = mod