'use strict';

var Session = require('./session')

function AppMain($ionicPlatform, $rootScope, $state) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true)
      cordova.plugins.Keyboard.disableScroll(true)
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      //StatusBar.styleLightContent();
    }

    $rootScope.$on('$stateChangeStart', function(event, toState, toParams, fromState, fromParams, options) {
      if (toState.name !== 'login' && (!Session.get('token') || !Session.get('username'))) {
        event.preventDefault()
        Session.clear()
        $state.go('login')
      }
    })

	})
}

module.exports = ['$ionicPlatform', '$rootScope', '$state', AppMain]