require('angular')
require('velocity')
require('velocity-ui')
require('velocity-ui-angular')

require('./database')

module.exports = angular.module('starter', [
    require('ionic-angular').name,
    require('angular-ui-router').name,
    require('./modules/authentication').name,
    require('./modules/catalog').name,
    require('./modules/inventory').name,
    require('./modules/home').name,
    require('./modules/sync').name,
    require('./modules/vendor').name,
    require('./modules/warehouse').name,
    require('./modules/order').name,
    require('./modules/wastage').name,
    require('./modules/delivery-note').name,
    'velocity.ui'
  ])
  .config(require('./router'))
  .run(require('./app-main'))
;
