var ng = require('angular-bsfy')

var template = require('./template')
var controller = require('./controller')

var formDirective = function() {
  return {
    restrict: 'C',
    template: template,
    scope: {
      fields: '=',
      onSubmit: '=',
      submitLabel: '@?'
    },
    replace: true,
    controller: controller,
    compile: function() {
      return {
        post: function($scope, $element) {
          var ctrl = $element.controller('formDirective')
          ctrl.init($scope)

          $element.on('submit', function(event) {
            ctrl.onSubmit(event)
            return false
          })
        }
      }
    }
  }
}

var mod = ng.module('form', [])
mod.directive('formDirective', formDirective)

module.exports = mod
