var ng = require('angular-bsfy')

var template = require('./template')
var controller = require('./controller')

var headerDirective = function() {
  return {
    restrict: 'C',
    template: template,
    scope: {
      title: '@?'
    },
    replace: true,
    controller: controller,
    compile: function() {
      return {
        post: function($scope, $element) {
          var ctrl = $element.controller('headerDirective')
          ctrl.init($scope)
        }
      }
    }
  }
}

var mod = ng.module('appHeader', [])
mod.directive('headerDirective', headerDirective)

module.exports = mod
