var converter = require('./converter')
var Exporter = require('./exporter')

var blocked = false

module.exports = function(tableName, rows, headers, fields) {
  if (blocked) {
    return
  }
  blocked = true
  var data = converter(rows, headers, fields)
  var exporter = new Exporter(tableName)
  return exporter.save(data)
  .then(function(path) {
    blocked = false
    cordova.plugins.fileOpener2.open(path, exporter.type)
  })
  .catch(function(error) {
    console.error(error)
    blocked = false
  })
}
