module.exports = {
  preferFrontCamera : false, // iOS and Android
  showFlipCameraButton : false, // iOS and Android
  showTorchButton : true, // iOS and Android
  torchOn: false, // Android, launch with the torch switched on (if available)
  prompt : "Place a barcode inside the scan area", // Android
  resultDisplayDuration: 500, // Android, display scanned text for X ms. 0 suppresses it entirely, default 1500
  formats : "EAN13, EAN8", // default: all but PDF_417 and RSS_EXPANDED
  orientation : "landscape", // Android only (portrait|landscape), default unset so it rotates with the device
  disableAnimations : true, // iOS
  disableSuccessBeep: false // iOS
}
