var routes = {}

routes.deliveryNoteSection = {
  abstract: true,
  url: '/deliveryNote',
  template: '<delivery-note-section ui-view></deliveryNote-section>'
}

routes.deliveryNoteNew = {
  url: '/new',
  parent: routes.deliveryNoteSection,
  template: '<delivery-note-new ui-view></deliveryNote-new>'
}

routes.deliveryNoteList = {
  url: '/list',
  parent: routes.deliveryNoteSection,
  template: '<delivery-note-list ui-view></deliveryNote-list>'
}

routes.deliveryNoteLine = {
  url: '/line/:id',
  parent: routes.deliveryNoteSection,
  template: '<delivery-note-line ui-view></deliveryNote-line>'
}

routes.deliveryNoteLineInserter = {
  url: '/inserter',
  parent: routes.deliveryNoteLine,
  template: '<delivery-note-line-inserter ui-view></deliveryNote-line-inserter>'
}

routes.deliveryNoteLineEditor = {
  url: '/editor/:deliveryNoteLineId',
  parent: routes.deliveryNoteLine,
  template: '<delivery-note-line-editor ui-view></delivery-note-line-editor>'
}

module.exports = routes
