var i18n = require('../../../i18n')

module.exports =  {
  draft: function(state, onClose, onDelete) {
    return {
      mainButtons: [{
        icon: 'ion-plus-round',
        action: function() {
          state.go('deliveryNoteLineInserter')
        }
      }],
      subButtons: [{
        icon: 'ion-checkmark-round',
        label: i18n.t('FOOTER_CLOSE'),
        action: onClose
      }, {
        icon: 'ion-trash-a',
        label: i18n.t('FOOTER_DELETE'),
        action: onDelete
      }]
    }
  },
  closed: function(scope) {
    return {
      mainButtons: [{
        icon: 'ion-android-open',
        action: function() {
          scope.$broadcast('grid:export-csv')
        }
      }]
    }
  }
}
