var ng = require('angular-bsfy')

var template = require('./template')
var controller = require('./controller')

var homeFooterDirective = function($state) {
  return {
    restrict: 'C',
    template: template,
    scope: true,
    replace: true,
    controller: controller,
    compile: function() {
      return {
        post: function($scope, $element) {
          var ctrl = $element.controller('homeFooterDirective')
          ctrl.init($scope, $state)
        }
      }
    }
  }
}

var mod = ng.module('homeFooter', [])
mod.directive('homeFooterDirective', ['$state', homeFooterDirective])

module.exports = mod
