var ng = require('angular-bsfy')

var routes = require('./config/routes')

var mod = ng.module('inventory', [
  require('../../directives/item-editor').name
])

mod
  .config(function($stateProvider) {
    Object.keys(routes).forEach(function(route) {
      $stateProvider.state(route, routes[route])
    })
  })
  .directive('inventorySection', require('./section'))
  .directive('inventoryNew', require('./new'))
  .directive('inventoryList', require('./list'))
  .directive('inventoryLine', require('./line'))
  .directive('inventoryLineInserter', require('./line-inserter'))
  .directive('inventoryLineEditor', require('./line-editor'))

module.exports = mod