var routes = {}

routes.orderSection = {
  abstract: true,
  url: '/order',
  template: '<order-section ui-view></order-section>'
}

routes.orderNew = {
  url: '/new',
  parent: routes.orderSection,
  template: '<order-new ui-view></order-new>'
}

routes.orderList = {
  url: '/list',
  parent: routes.orderSection,
  template: '<order-list ui-view></order-list>'
}

routes.orderLine = {
  url: '/line/:id',
  parent: routes.orderSection,
  template: '<order-line ui-view></order-line>'
}

routes.orderLineInserter = {
  url: '/inserter',
  parent: routes.orderLine,
  template: '<order-line-inserter ui-view></order-line-inserter>'
}

routes.orderLineEditor = {
  url: '/editor/:orderLineId',
  parent: routes.orderLine,
  template: '<order-line-editor ui-view></order-line-editor>'
}

module.exports = routes
