var ng = require('angular-bsfy')

var routes = require('./config/routes')

var mod = ng.module('warehouse', [
  require('../../directives/grid').name
])

mod
  .config(function($stateProvider) {
    Object.keys(routes).forEach(function(route) {
      $stateProvider.state(route, routes[route])
    })
  })
  .directive('warehouseSection', require('./section'))
  .directive('warehouseDetail', require('./detail'))
  .directive('warehouseList', require('./list'))

module.exports = mod