var routes = {}

routes.wastageSection = {
  abstract: true,
  url: '/wastage',
  template: '<wastage-section ui-view></wastage-section>'
}

routes.wastageNew = {
  url: '/new',
  parent: routes.wastageSection,
  template: '<wastage-new ui-view></wastage-new>'
}

routes.wastageList = {
  url: '/list',
  parent: routes.wastageSection,
  template: '<wastage-list ui-view></wastage-list>'
}

routes.wastageLine = {
  url: '/line/:id',
  parent: routes.wastageSection,
  template: '<wastage-line ui-view></wastage-line>'
}

routes.wastageLineInserter = {
  url: '/inserter',
  parent: routes.wastageLine,
  template: '<wastage-line-inserter ui-view></wastage-line-inserter>'
}

routes.wastageLineEditor = {
  url: '/editor/:wastageLineId',
  parent: routes.wastageLine,
  template: '<wastage-line-editor ui-view></wastage-line-editor>'
}

module.exports = routes
