module.exports = {
  name: 'Inventory',
  resource: '/inventory',
  line: {
    tableName: 'inventoryLine',
    foreignKey: 'inventoryId'
  },
  keys: {
    id: 'text'
  },
  fields: {
    date: 'date',
    name: 'text',
    status: {
      type: 'integer',
      local: true
    },
    username: 'text',
    warehouseId: 'text'
  }
}
