module.exports = {
  name: 'Orders',
  resource: '/order',
  line: {
    tableName: 'orderLine',
    foreignKey: 'orderId'
  },
  keys: {
    id: 'text'
  },
  fields: {
    amount: 'double',
    date: 'date',
    name: 'text',
    status: {
      type: 'integer',
      local: true
    },
    username: 'text',
    vendorId: 'text',
    warehouseId: 'text'
  }
}
