import login from './login'
import CatalogService from './catalog'
import VendorService from './vendor'
import WarehouseService from './warehouse'
import InventoryService from './inventory'
import InventoryLineService from './inventory-line'
import EanSearch from './ean-search'
import Order from './order'
import OrderLine from './order-line'
import Wastage from './wastage'
import WastageLine from './wastage-line'
import DeliveryNote from './delivery-note'
import DeliveryNoteLine from './delivery-note-line'

export default {
  catalog: new CatalogService(),
  vendor: new VendorService(),
  warehouse: new WarehouseService(),
  inventory: new InventoryService(),
  inventoryLine: new InventoryLineService(),
  eanSearch: new EanSearch(),
  order: new Order(),
  orderLine: new OrderLine(),
  wastage: new Wastage(),
  wastageLine: new WastageLine(),
  deliveryNote: new DeliveryNote(),
  deliveryNoteLine: new DeliveryNoteLine(),
  login
}
